org.apache.ode.bpel.common

## Class BpelEventFilter

- java.lang.Object
- - org.apache.ode.bpel.common.Filter<org.apache.ode.bpel.common.BpelEventFilter.Criteria>
  - - org.apache.ode.bpel.common.BpelEventFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class BpelEventFilter
      extends Filter<org.apache.ode.bpel.common.BpelEventFilter.Criteria>
      implements java.io.Serializable

  Holds a filter that will get interpreted when listing BPEL events.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.common.Filter

      `Filter.Restriction<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `limit`

    - ### Fields inherited from class org.apache.ode.bpel.common.Filter

      `__msgs, _criteria`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelEventFilter(java.lang.String filter, int limit)` Initializes properly the InstanceFilter attributes by pre-parsing the filter and orderKeys strings and setting the limit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.ode.bpel.common.BpelEventFilter.Criteria[]` | `getFilterKeys()` Get the list of known (recognized) filter keys.
    `java.util.List<Filter.Restriction<java.util.Date>>` | `getTimestampFilter()`
    `java.lang.String` | `getTypeFilter()`
    `protected org.apache.ode.bpel.common.BpelEventFilter.Criteria` | `parseKey(java.lang.String keyVal)` Parse the string representation of a key into an enumeration value.
    `protected void` | `process(org.apache.ode.bpel.common.BpelEventFilter.Criteria key, Filter.Restriction<java.lang.String> rest)` Perform additional parsing/processing.

    - ### Methods inherited from class org.apache.ode.bpel.common.Filter

      `getDateWithoutOp, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### limit

          public int limit

  - ### Constructor Detail

    - #### BpelEventFilter

          public BpelEventFilter(java.lang.String filter,
                                 int limit)

      Initializes properly the InstanceFilter attributes by pre-parsing the filter and orderKeys strings and setting the limit. A limit inferior than or equal to 0 is ignored.
      Parameters:
        `filter` -

  - ### Method Detail

    - #### getTypeFilter

          public java.lang.String getTypeFilter()

    - #### getTimestampFilter

          public java.util.List<Filter.Restriction<java.util.Date>> getTimestampFilter()

    - #### parseKey

          protected org.apache.ode.bpel.common.BpelEventFilter.Criteria parseKey(java.lang.String keyVal)

      Description copied from class: `Filter`
      Parse the string representation of a key into an enumeration value.
      Specified by:
        `parseKey` in class `Filter<org.apache.ode.bpel.common.BpelEventFilter.Criteria>`
      Parameters:
        `keyVal` - string representation
      Returns:
        enumeration value

    - #### getFilterKeys

          protected org.apache.ode.bpel.common.BpelEventFilter.Criteria[] getFilterKeys()

      Description copied from class: `Filter`
      Get the list of known (recognized) filter keys.
      Specified by:
        `getFilterKeys` in class `Filter<org.apache.ode.bpel.common.BpelEventFilter.Criteria>`
      Returns:
        recognized filter keys

    - #### process

          protected void process(org.apache.ode.bpel.common.BpelEventFilter.Criteria key,
                                 Filter.Restriction<java.lang.String> rest)

      Description copied from class: `Filter`
      Perform additional parsing/processing.
      Specified by:
        `process` in class `Filter<org.apache.ode.bpel.common.BpelEventFilter.Criteria>`
      Parameters:
        `key` - filter key
        `rest` - restriction